package com.spring.dcaa.repository;

import com.spring.dcaa.dto.ReportDto;
import com.spring.dcaa.entity.Visitor;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface VisitorRepository extends JpaRepository<Visitor, Long> {
    @Query("select new com.spring.dcaa.dto.ReportDto(" +
            "COUNT(v), " +
            "SUM(CASE WHEN v.hasDisk = true THEN 1 ELSE 0 END)) " +
            "FROM Visitor v")
    ReportDto generateReport();
}
