package com.spring.gateway.service;

import com.spring.gateway.model.Role;
import com.spring.gateway.model.User;
import com.spring.gateway.repository.UserRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
@RequiredArgsConstructor
public class UserService {
    private final UserRepository userRepository;

    public User create(String email, String password, Role role) {
        final User user = new User(null, email, password, role);
        return userRepository.save(user);
    }

    public Optional<User> find(String email) {
        return userRepository.findByEmail(email);
    }
}
