package com.spring.minio.properties;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "app.kafka")
@Getter
@Setter
public class KafkaProperties {
    /**
     * Адреса серверов Kafka, к которым будет подключаться потребитель.
     */
    private String bootstrapAddress;

    /**
     * Идентификатор группы потребителей.
     */
    private String groupId;
}
